var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { Type } from '@sinclair/typebox';
export var PieSpecObject = {
    data: Type.Array(Type.Object({
        value: Type.Number({ title: 'Value' }),
        name: Type.String({ title: 'Name' }),
    }), { title: 'Data' }),
};
export var PieConditions = [
    {
        key: 'type',
        value: 'pie',
    },
];
export var PieChartPropsSpec = {
    color: Type.Array(Type.String(), {
        category: 'Color',
    }),
    series: Type.Object(__assign({}, PieSpecObject)),
};
